Status: Closed Start date: 23 Apr 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 20.00 hours

Target version: CoCoA-5.1.0 Easter14 Spent time: 20.50 hours

Description

The old manual had a part about data-types.

Recover it and improve it.

Related issues:

Related to CoCoA-5 - Support #556: CoCoAManual: improve part on tagging Closed 14 May 2014

Related to CoCoA-5 - Support #557: CoCoAManual: improve part on input/output New 14 May 2014

Related to CoCoA-5 - Support #558: CoCoAManual: semi-automatic check of all i... Closed 14 May 2014

Related to CoCoA-5 - Support #177: CoCoAManual: General part of the documenta... In Progress 01 Jun 2012

Related to CoCoA-5 - Support #717:  CoCoAManual: improve part on RINGHOM Closed 20 May 2015

Related to CoCoA-5 - Bug #168: Type info in CoCoA-5 manual Closed 25 May 2012

Related to CoCoA-5 - Support #1024: CoCoA Manual: consistent spacing in VarNa... Closed 06 Mar 2017

History

#1 - 23 Apr 2014 16:14 - Anna Maria Bigatti

Now in CoCoAHelp.xml we should tag the types as type or rtn in the syntax like this:

<syntax>

adjoint(M: <type>MAT</type>): <rtn>MAT</rtn>

</syntax>

Listing the type in types becomes then redundant.

#2 - 23 Apr 2014 16:14 - Anna Maria Bigatti

- % Done changed from 0 to 30

#3 - 23 Apr 2014 17:22 - Anna Maria Bigatti

- Status changed from New to In Progress

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.1.0 Easter14

- % Done changed from 30 to 40

- Estimated time set to 7.00 h

More updates done in "commands" syntax.

Now I think that each chapter should be essentially empty and just give specific info, only if needed, and the commands-and-functions sections (find

better name?)
#4 - 24 Apr 2014 09:51 - Anna Maria Bigatti

- % Done changed from 40 to 60

Now that I started this work I see that it has to be finished urgently.

As it was, the documentation wasn't just obsolete/incomplete, but inconsistent and not working (for its inconsistency the "all commands and

functions.." sections in the html and TeX versions were built wrongly)

Tagging the types in the syntax actually helps being consistent and automatically produces the complete tables.  Moreover avoids duplication of

information (the types in syntax were repeated in types) and make the huge xml easier to read and maintain.

Thanks Emacs for this delicate replace work!!

#5 - 24 Apr 2014 16:30 - Anna Maria Bigatti

- % Done changed from 60 to 70

- Estimated time changed from 7.00 h to 12.00 h

While doing this massive change removing all now useless types I'm also doing some cleaning in the documentation.

FUNCTION is a proper type in cocoa-5 so I made a dedicated chapter in "Data Types".

Meanwhile I'm removing redundant and obsolete parts (when I see them).

#6 - 08 May 2014 17:42 - John Abbott

I have checked/updated essentially all fn signatures in CoCoAHelp.xml.

I have done nothing about TAGGED.

Some signatures were not easy to fix, so I have left them (many contain the word "where").

#7 - 14 May 2014 16:58 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- % Done changed from 70 to 90

- Estimated time changed from 12.00 h to 20.00 h

lots of cleaning: not all done but ok for current release of CoCoA-5.1

#8 - 14 May 2014 17:36 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

#9 - 02 Jul 2014 16:40 - Anna Maria Bigatti

- Subject changed from Manual: improve part on data-types to CoCoAManual: improve part on data-types

#10 - 10 Oct 2019 17:43 - Anna Maria Bigatti

- Related to Bug #168: Type info in CoCoA-5 manual added

#11 - 10 Oct 2019 18:25 - Anna Maria Bigatti

- Related to Support #1024: CoCoA Manual: consistent spacing in VarName: TYPE added
